# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vlWin32::Win32Window Class Reference

The Win32Window class is a Win32Context that can be used as a top or child window. More...

`#include <Win32Window.hpp>`

Inheritance diagram for vlWin32::Win32Window:

List of all members.

## Public Member Functions

| Win32Window ()
bool | initWin32Window (HWND parent, HGLRC share_context, const vl::String &title, const vl::OpenGLContextFormat &fmt, int x=0, int y=0, int width=640, int height=480)
| Initializes a new Win32 window with a new OpenGL rendering context.
virtual void | destroy ()
| calls destroyWindow() and dispatches the destroy event to the UIEventListener objects
void | destroyWindow ()
| Destroyes the window and the OpenGL rendering context.
HWND | hwnd () const
DWORD | style () const
| The dwExStyle parameter passed to the Win32 function CreateWindowEx.
void | setStyle (DWORD style)
| The dwExStyle parameter passed to the Win32 function CreateWindowEx.
DWORD | exStyle () const
| The dwStyle parameter passed to the Win32 function CreateWindowEx.
void | setExStyle (DWORD ex_style)
| The dwStyle parameter passed to the Win32 function CreateWindowEx.
const wchar_t * | windowClassName () const
| Specifies the value given to the lpClassName parameter passed to CreateWindowEx.
void | setWindowClassName (const wchar_t *name)
| Specifies the value given to the lpClassName parameter passed to CreateWindowEx.

## Static Public Member Functions

static LONG WINAPI | WindowProc (HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
static Win32Window * | getWindow (HWND hWnd)
| Returns when a WM_QUIT message is sent or when no more windows are alive.
static const std::map< HWND, Win32Window * > & | winMap ()

## Static Public Attributes

static const wchar_t * | Win32WindowClassName = L"VisualizationLibraryWindowClass"

## Protected Attributes

int | mMouseDownCount
HWND | mHWND
DWORD | mStyle
DWORD | mExStyle
const wchar_t * | mWindowClassName

## Static Protected Attributes

static std::map< HWND, Win32Window * > | mWinMap

## Detailed Description

The Win32Window class is a Win32Context that can be used as a top or child window.

## Constructor & Destructor Documentation

Win32Window::Win32Window | ( |  | ) |

## Member Function Documentation

LONG WINAPI Win32Window::WindowProc | ( | HWND | hWnd,
|  | UINT | uMsg,
|  | WPARAM | wParam,
|  | LPARAM | lParam |
| ) |  |  | `[static]`

bool Win32Window::initWin32Window | ( | HWND | parent,
|  | HGLRC | share_context,
|  | const vl::String & | title,
|  | const vl::OpenGLContextFormat & | fmt,
|  | int | x = `0`,
|  | int | y = `0`,
|  | int | width = `640`,
|  | int | height = `480` |
| ) |  |  |

Initializes a new Win32 window with a new OpenGL rendering context.

After the initialization to show the window use the show() method.

void Win32Window::destroy | ( |  | ) | `[virtual]`

calls destroyWindow() and dispatches the destroy event to the UIEventListener objects

Reimplemented from vl::OpenGLContext.

void Win32Window::destroyWindow | ( |  | ) |

Destroyes the window and the OpenGL rendering context.

HWND vlWin32::Win32Window::hwnd | ( |  | ) | const`[inline, virtual]`

Implements vlWin32::Win32Context.

DWORD vlWin32::Win32Window::style | ( |  | ) | const`[inline]`

The dwExStyle parameter passed to the Win32 function CreateWindowEx.

void vlWin32::Win32Window::setStyle | ( | DWORD | style | ) | `[inline]`

The dwExStyle parameter passed to the Win32 function CreateWindowEx.

DWORD vlWin32::Win32Window::exStyle | ( |  | ) | const`[inline]`

The dwStyle parameter passed to the Win32 function CreateWindowEx.

void vlWin32::Win32Window::setExStyle | ( | DWORD | ex_style | ) | `[inline]`

The dwStyle parameter passed to the Win32 function CreateWindowEx.

const wchar_t* vlWin32::Win32Window::windowClassName | ( |  | ) | const`[inline]`

Specifies the value given to the lpClassName parameter passed to CreateWindowEx.

void vlWin32::Win32Window::setWindowClassName | ( | const wchar_t * | name | ) | `[inline]`

Specifies the value given to the lpClassName parameter passed to CreateWindowEx.

Win32Window * Win32Window::getWindow | ( | HWND | hWnd | ) | `[static]`

Returns when a WM_QUIT message is sent or when no more windows are alive.

static const std::map< HWND, Win32Window* >& vlWin32::Win32Window::winMap | ( |  | ) | `[inline, static]`

## Member Data Documentation

const wchar_t * Win32Window::Win32WindowClassName = L"VisualizationLibraryWindowClass"`[static]`

int vlWin32::Win32Window::mMouseDownCount`[protected]`

HWND vlWin32::Win32Window::mHWND`[protected]`

DWORD vlWin32::Win32Window::mStyle`[protected]`

DWORD vlWin32::Win32Window::mExStyle`[protected]`

const wchar_t* vlWin32::Win32Window::mWindowClassName`[protected]`

std::map< HWND, Win32Window * > Win32Window::mWinMap`[static, protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlWin32/Win32Window.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlWin32/Win32Window.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:52 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.